
% sine wave
t = 0.00025:0.00025:3; % x axis units representing time on an arbitrary 
% scale
a = 75; % adjusts rate curve amplitude i.e. vertical range of rate data on 
% either side of v
v = 125; % vertical adjustment of the rate curve - without this, the range
% of wave would be centred on zero
w = 2; % wavelength adjustment - a higher value gives shorter wavelength. 
% Set at 2, a whole wave fits in the range t = 0 to 1.
d = 40; % adjusts dynamics curve amplitude. A higher value gives a smaller 
% range. 

wave = a*sin(w*pi*t)+v;

plot(t,wave)